Package org.italiangrid.voms.request.impl

# Class ACGenerationParams.Builder

java.lang.Object
org.italiangrid.voms.request.impl.ACGenerationParams.Builder

Enclosing class:
  `ACGenerationParams`

public static class ACGenerationParams.Builder extends Object
Builder class for constructing `ACGenerationParams` instances.

## Constructor Summary

Constructors
Constructor
Description
`Builder()`
Default constructor initializing lists.

## Method Summary

Modifier and Type
Method
Description
`ACGenerationParams`
`build()`
Builds the `ACGenerationParams` instance.
`ACGenerationParams.Builder`
`fqan(String fqan)`
Adds a Fully Qualified Attribute Name.
`ACGenerationParams.Builder`
`ga(String name, String value, String context)`
Adds a Generic Attribute.
`ACGenerationParams.Builder`
`host(String host)`
Sets the host.
`ACGenerationParams.Builder`
`notAfter(Date notAfter)`
Sets the not-after validity time.
`ACGenerationParams.Builder`
`notBefore(Date notBefore)`
Sets the not-before validity time.
`ACGenerationParams.Builder`
`port(int port)`
Sets the port.
`ACGenerationParams.Builder`
`serialNo(long serialNo)`
Sets the serial number.
`ACGenerationParams.Builder`
`vo(String vo)`
Sets the VO.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()
Default constructor initializing lists.

## Method Details

### vo

public ACGenerationParams.Builder vo(String vo)
Sets the VO.

Parameters:
  `vo` - the Virtual Organization name
Returns:
  the Builder instance

### fqan

public ACGenerationParams.Builder fqan(String fqan)
Adds a Fully Qualified Attribute Name.

Parameters:
  `fqan` - the FQAN to add
Returns:
  the Builder instance

### ga

public ACGenerationParams.Builder ga(String name, String value, String context)
Adds a Generic Attribute.

Parameters:
  `name` - the attribute name
  `value` - the attribute value
  `context` - the attribute context
Returns:
  the Builder instance

### host

public ACGenerationParams.Builder host(String host)
Sets the host.

Parameters:
  `host` - the host
Returns:
  the Builder instance

### port

public ACGenerationParams.Builder port(int port)
Sets the port.

Parameters:
  `port` - the port number
Returns:
  the Builder instance

### notBefore

public ACGenerationParams.Builder notBefore(Date notBefore)
Sets the not-before validity time.

Parameters:
  `notBefore` - the start of the validity period
Returns:
  the Builder instance

### notAfter

public ACGenerationParams.Builder notAfter(Date notAfter)
Sets the not-after validity time.

Parameters:
  `notAfter` - the end of the validity period
Returns:
  the Builder instance

### serialNo

public ACGenerationParams.Builder serialNo(long serialNo)
Sets the serial number.

Parameters:
  `serialNo` - the serial number
Returns:
  the Builder instance

### build

public ACGenerationParams build()
Builds the `ACGenerationParams` instance.

Returns:
  a new ACGenerationParams object